GET api/pcapi/pcsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_id": "90700dc9-2547-4ef3-b108-356c4533ae4d",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "0cf36c4c-d24c-4de3-acd7-3d0e6accc989",
"local_ip": "sample string 7",
"lock_id": "9d2bd980-2938-4d3c-8fee-4ff9032274f6",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "e7e4acf9-392b-4552-9f4a-e8b4ad6c0cdf",
"rights": [
{
"code": "sample string 1",
"id": "8f5db15d-e1a3-46d0-9d60-6fe1ab2d9de1"
},
{
"code": "sample string 1",
"id": "8f5db15d-e1a3-46d0-9d60-6fe1ab2d9de1"
}
],
"site_id": "84865777-6c63-4371-a897-4fbdac384193",
"zone_id": "71d0fae2-18e3-4926-a9e6-befdf97cd3d6"
},
{
"active": true,
"cleanroom_id": "90700dc9-2547-4ef3-b108-356c4533ae4d",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "0cf36c4c-d24c-4de3-acd7-3d0e6accc989",
"local_ip": "sample string 7",
"lock_id": "9d2bd980-2938-4d3c-8fee-4ff9032274f6",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "e7e4acf9-392b-4552-9f4a-e8b4ad6c0cdf",
"rights": [
{
"code": "sample string 1",
"id": "8f5db15d-e1a3-46d0-9d60-6fe1ab2d9de1"
},
{
"code": "sample string 1",
"id": "8f5db15d-e1a3-46d0-9d60-6fe1ab2d9de1"
}
],
"site_id": "84865777-6c63-4371-a897-4fbdac384193",
"zone_id": "71d0fae2-18e3-4926-a9e6-befdf97cd3d6"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc>
<active>true</active>
<cleanroom_id>90700dc9-2547-4ef3-b108-356c4533ae4d</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>0cf36c4c-d24c-4de3-acd7-3d0e6accc989</id>
<local_ip>sample string 7</local_ip>
<lock_id>9d2bd980-2938-4d3c-8fee-4ff9032274f6</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>e7e4acf9-392b-4552-9f4a-e8b4ad6c0cdf</pc_type_id>
<rights>
<right>
<ID>8f5db15d-e1a3-46d0-9d60-6fe1ab2d9de1</ID>
<code>sample string 1</code>
</right>
<right>
<ID>8f5db15d-e1a3-46d0-9d60-6fe1ab2d9de1</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>84865777-6c63-4371-a897-4fbdac384193</site_id>
<zone_id>71d0fae2-18e3-4926-a9e6-befdf97cd3d6</zone_id>
</pc>
<pc>
<active>true</active>
<cleanroom_id>90700dc9-2547-4ef3-b108-356c4533ae4d</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>0cf36c4c-d24c-4de3-acd7-3d0e6accc989</id>
<local_ip>sample string 7</local_ip>
<lock_id>9d2bd980-2938-4d3c-8fee-4ff9032274f6</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>e7e4acf9-392b-4552-9f4a-e8b4ad6c0cdf</pc_type_id>
<rights>
<right>
<ID>8f5db15d-e1a3-46d0-9d60-6fe1ab2d9de1</ID>
<code>sample string 1</code>
</right>
<right>
<ID>8f5db15d-e1a3-46d0-9d60-6fe1ab2d9de1</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>84865777-6c63-4371-a897-4fbdac384193</site_id>
<zone_id>71d0fae2-18e3-4926-a9e6-befdf97cd3d6</zone_id>
</pc>
</ArrayOfpc>